List ticket feedbacks
curl --request GET \
--url https://api.vambe.me/api/public/ticket-feedback \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/ticket-feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/ticket-feedback"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "csat",
"value": 123,
"comment": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"responded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"pipeline": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone": "<string>",
"email": "<string>"
}
}
],
"page": 1,
"page_size": 20,
"has_next_page": true
}Tickets & Support
List ticket feedbacks
Retrieve paginated ticket feedback records with optional filtering by type, date range, pipeline, and response status.
GET
/
api
/
public
/
ticket-feedback
List ticket feedbacks
curl --request GET \
--url https://api.vambe.me/api/public/ticket-feedback \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/ticket-feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/ticket-feedback"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "csat",
"value": 123,
"comment": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"responded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"pipeline": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone": "<string>",
"email": "<string>"
}
}
],
"page": 1,
"page_size": 20,
"has_next_page": true
}Headers
API key needed to authorize the request
Query Parameters
Page number (default: 1)
Required range:
x >= 1Items per page (default: 20, max: 100)
Required range:
1 <= x <= 100Filter by feedback type
Available options:
csat, nps Filter feedbacks scheduled at or after this date (ISO 8601)
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2025-01-01T00:00:00Z"
Filter feedbacks scheduled before this date (ISO 8601)
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2025-12-31T23:59:59Z"
Filter by pipeline ID(s). Only returns feedbacks for tickets whose current or closure stage belongs to the specified pipeline(s).
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Filter by response status. "true" returns only answered feedbacks, "false" returns only pending.
Available options:
true, false Was this page helpful?
